## cyrus-imapd 2.5.8

=== debian/changelog ===
cyrus-imapd (2.5.8-1) unstable; urgency=medium

  * Imported Upstream version 2.5.8
  * Rebase patches on top of 2.5.8
  * Require libical >= 2.0.0 and define the libical feature macros
    according to that (Closes: #825108)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 20 May 2016 14:52:29 +0200

cyrus-imapd (2.5.7-1) unstable; urgency=medium

  * Don't install mupdatetest to cyrus-clients and leave it in
    cyrus-murder package (Closes: #821738)
  * Fix broken symlinks for installsieve and sieveshell in cyrus-admin
    package (Closes: #821743)
  * Upload to unstable
  * Fix typo in README.Debian
  * Add lintian override for possible-gpl-code-linked-with-openssl,
    because we don't link with GPL code

 -- Ondřej Surý <ondrej@debian.org>  Wed, 20 Apr 2016 17:32:10 +0200

cyrus-imapd (2.5.7-0+exp4) experimental; urgency=medium

  * Convert d/copyright to machine readable format and add license for
    tools/vzic/

 -- Ondřej Surý <ondrej@debian.org>  Thu, 14 Apr 2016 11:57:25 +0200

cyrus-imapd (2.5.7-0+exp3) experimental; urgency=medium

  [ John Treen ]
  * Update default configuration to match Cyrus 2.5 changes

 -- Ondřej Surý <ondrej@debian.org>  Tue, 29 Mar 2016 11:32:39 +0200

cyrus-imapd (2.5.7-0+exp2) experimental; urgency=medium

  [ John Treen ]
  * Fix Vcs-* fields to point to correct repository
  * Add 2.5 to supported versions in check_hardwired_config

 -- Ondřej Surý <ondrej@debian.org>  Fri, 25 Mar 2016 14:02:31 +0100

cyrus-imapd (2.5.7-0+exp1) experimental; urgency=medium

  * Imported Upstream version 2.5.7
  * Rebase and reduce patches on top of 2.5.7 release
  * Rename all manpages to cyrus-*; except cyradm
  * cyradm gets installed to usr/bin, leave it there
  * Update the Debian documentation a bit (TODO: it still needs more work)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 22 Dec 2015 14:34:00 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-18) unstable; urgency=medium

  * Fix PIDFile location in sysvinit script (Closes: #778781)
  * Fix ACL string corruption on removal of an ACL identifier
    (Closes: #778779)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 24 Mar 2015 12:09:49 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-17) unstable; urgency=medium

  [Daniel Dickinson]
  * Fix users in virtual domains cannot access caldav/carddav
    (Closes: #774128)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 02 Feb 2015 10:27:53 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-16) unstable; urgency=medium

  * Manually add dpkg (>= 1.17.14) to Pre-Depends to have correctly
    working dpkg-maintscript-helper symlink_to_dir without full path
  * Format debian/* with wrap-and-sort -a

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Jan 2015 13:18:39 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-14) unstable; urgency=medium

  * Bump required debhelper version to 9.20141221~ to it correctly set
    ${misc:Pre-Depends}
  * Drop Build-Depends on dpkg-dev that's not needed

 -- Ondřej Surý <ondrej@debian.org>  Wed, 31 Dec 2014 08:58:37 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-13) unstable; urgency=medium

  * Force dpkg-dev to 1.17.22 to have correct Pre-Depends

 -- Ondřej Surý <ondrej@debian.org>  Tue, 30 Dec 2014 18:25:18 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-12) unstable; urgency=medium

  * Add Breaks/Replaces for old cyrus-imapd-2.2 dummy packages 
    to cleanup old installations.
  * Install upstream changelogs to all real packages and Debian changelogs
    to all packages

 -- Ondřej Surý <ondrej@debian.org>  Wed, 03 Dec 2014 09:12:15 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-11) unstable; urgency=medium

  * Add more missing symlink_to_dir calls based on last X packages
    from testing.

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Dec 2014 17:33:25 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-10) unstable; urgency=medium

  * Last attempt to get the maintscripts right (Closes: #771749)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Dec 2014 15:47:18 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-9) unstable; urgency=medium

  * Add missing backslash in configure params (Closes: #771071)

 -- Ondřej Surý <ondrej@debian.org>  Thu, 27 Nov 2014 09:28:43 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-8) unstable; urgency=medium

  * Don't use dh_installdoc --link-doc feature at all, it just creates
    more problems than it solves (Closes: #769553)

 -- Ondřej Surý <ondrej@debian.org>  Tue, 18 Nov 2014 13:06:45 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-7) unstable; urgency=medium

  * Add dir_to_symlink dpkg-maintscript-helper call for transitional
    packages (Closes: #768240)
  * Drop useless cyrus-common-2.4 dependency on cyrus-common
  * Add missing quotes around $@ in maintscript
  * Drop -- "$@" from *.mainscript

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Nov 2014 10:48:34 +0100

cyrus-imapd-2.4 (2.4.17+caldav~beta10-6) unstable; urgency=medium

  * Cleanup inactive uploaders (Closes: #760134) and thank you for all the
    hard work in the past years!
  * Pull TLS configuration patch from upstream git repository (Disables
    SSLv2 and SSLv3 by default and adds TLS PFS)
  * Disable SSLv2 and SSLv3 in a default imapd.conf file

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 Oct 2014 12:28:10 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-5) unstable; urgency=high

  * Don't link transitional packages to cyrus-common documentation
    (Closes: #755705)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Aug 2014 11:05:07 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-4) unstable; urgency=high

  * Remove obsolete cyrus-admin, cyrus-clients and libcyrus-imap-perl
    postinst scripts (Closes: #757521, #757756)

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 Aug 2014 11:01:04 +0200

cyrus-imapd-2.4 (2.4.17+caldav~beta10-3) unstable; urgency=medium

  * Add versioned depends between dummy to real versionless packages
  * Fix Vcs fields (s/git.debian.org/anonscm.debian.org)
  * Remove dependency on cyrus-common where not needed (Closes: #757046)



=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for CMU Cyrus IMAP version 2.4
# GNU copyright 1997 by Joey Hess.
# Copyright (c) 2001,2010 by Henrique de Moraes Holschuh
# Published under the GNU GPL license
# Based on previous work by Michael-John Turner <mj@debian.org>,
#			    David Parker <david@neongoat.com>
#

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# DebHelper control
export DH_ALWAYS_EXCLUDE=CVS:.svn:.git

export DOCPKG=cyrus-doc
export TMPPKG := $(CURDIR)/debian/tmp
export DOCDIR := $(CURDIR)/debian/$(DOCPKG)/usr/share/doc/$(DOCPKG)

export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -g -fno-strict-aliasing -pipe $(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export PERL_MM_OPT              = INSTALLDIRS="vendor" CCFLAGS="$(dpkg-buildflags --get CFLAGS)" LDDLFLAGS="$(dpkg-buildflags --get LDFLAGS)"

DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# Extra version information to add to Cyrus IMAPd ID
EXTRA_IDENT := Debian-$(DEB_VERSION)

# DB engine version
export BDB_VERSION ?= $(shell LC_ALL=C dpkg-query -l 'libdb[45].[0-9]-dev' | grep ^ii | sed -e 's|.*\s\libdb\([45]\.[0-9]\)-dev\s.*|\1|')
DBENGINE := BerkeleyDB$(BDB_VERSION)

CONFFLAGS =
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  CONFFLAGS += --build $(DEB_HOST_GNU_TYPE)
else
  CONFFLAGS += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

MAN1 := imtest installsieve lmtptest mupdatetest nntptest \
	pop3test sieveshell sivtest smtptest

MAN8 := master reconstruct quota deliver \
	mbpath ctl_mboxlist ctl_deliver ctl_cyrusdb squatter \
	tls_prune ipurge cyrdump cvt_cyrusdb chk_cyrus arbitron \
	cyr_expire unexpunge sync_client sync_reset cyr_synclog \
	cyr_dbtool cyr_df ctl_zoneinfo cyr_deny cyr_info \
	cyr_deny cyr_info fetchnews fud httpd idled imapd \
	lmtpd mbexamine nntpd notifyd pop3d rmnews smmapd \
	sync_server timsieved

%:
	dh $@ --with autoreconf --with autotools-dev --with systemd

override_dh_auto_configure:
	dh_auto_configure -- \
	 $(CONFFLAGS) \
	 --with-extraident=$(EXTRA_IDENT) \
	 --includedir=/usr/include \
	 --datadir=/usr/share/cyrus \
	 --sharedstatedir=/usr/share/cyrus \
	 --localstatedir=/var/lib/cyrus \
	 --libexecdir=/usr/lib/cyrus/bin \
	 --bindir=/usr/lib/cyrus/bin \
	 --sbindir=/usr/lib/cyrus/bin \
	 --with-cyrus-prefix=/usr/lib/cyrus \
	 --disable-silent-rules \
	 --enable-autocreate \
	 --enable-idled \
	 --enable-nntp \
	 --enable-murder \
	 --enable-http \
	 --enable-replication \
	 --enable-gssapi="/usr" \
	 --with-cyrus-user=cyrus --with-cyrus-group=mail \
	 --with-lock=fcntl \
	 --with-ldap \
	 --with-krb \
	 --with-krbimpl=mit \
	 --without-krbdes \
	 --with-openssl \
	 --with-zlib \
	 --with-libcap \
	 --with-pidfile=/var/run/cyrus-master.pid \
	 --with-com_err \
	 --with-syslogfacility=MAIL \
	 --with-gss_impl=mit \
	 --with-sasl \
	 --with-perl=/usr/bin/perl \
	 --with-snmp
	echo 'To build this package, configure was called as follows:' \
		> debian/README.configure-options
	grep '^ac_cs_config=' config.status \
	| sed -e 's/^ac_cs_config="/configure /;s/"$$//' \
		>> debian/README.configure-options

override_dh_auto_build:
	dh_auto_build

# store database configuration for possible automatic
# upgrading later
	echo "DBENGINE $(DBENGINE)" >>debian/cyrus-db-types.txt
	grep '_db"' lib/imapoptions \
	| cut -d, -f1-2 | sed -e 's/{ "//;s/_db", "/ /;s/"$$//' \
	| sed -e 's/^tls.* /TLS /;s/^subs.* /SUBS /;s/^seen.* /SEEN /;s/^pts.* /PTS /;s/^mbox.* /MBOX /'\
	| awk '{printf("%s %s\n",toupper($$1),$$2);}' \
	>>debian/cyrus-db-types.txt
	mv debian/cyrus-db-types.txt debian/cyrus-db-types.txt.old \
	&& sort -u < debian/cyrus-db-types.txt.old > debian/cyrus-db-types.txt \
	&& rm debian/cyrus-db-types.txt.old

# store some useful state about the current package
	echo "PACKAGE_VERSION $(DEB_VERSION)" >debian/cyrus-hardwired-config.txt
	if grep -q -s -n -E '^[[:space:]]*#define[[:space:]]+USE_DIR_FULL[[:space:]]+1' config.h ; then \
		echo "USE_DIR_FULL 1" >>debian/cyrus-hardwired-config.txt ;\
	else \
		echo "USE_DIR_FULL 0" >>debian/cyrus-hardwired-config.txt ;\
	fi

# former build-indep
	cd doc &&\
	pod2man ../perl/sieve/scripts/sieveshell.pl > ../man/sieveshell.1 &&\
	fig2dev -L png murder.fig murder.png &&\
	rm -f groff-html-*.png pod2htm*
	cd doc &&\
	mkdir -p man &&\
	for man in ../man/*.[1-9] ../debian/*.[1-9]; do \
	   echo "Generating html manpage for $$man..."; \
	   groff -man -Thtml $$man > man/`basename $$man`.html; \
	done
	pod2html perl/imap/cyradm.sh > doc/man/cyradm.1.html
	rm -f pod2htm*

override_dh_auto_install:
	dh_auto_install # -- DESTDIR=$(TMPPKG)

	# install the cyrus tool
	install -d -m 755 $(TMPPKG)/usr/sbin
	install -m 755 debian/cyrus $(TMPPKG)/usr/sbin

	# for stuff in /etc
	install -d -m 755 $(TMPPKG)/etc/cyrus $(TMPPKG)/etc/pam.d
	install -m 644 debian/imapd.conf $(TMPPKG)/etc
	install -m 644 debian/cyrus.conf $(TMPPKG)/etc
	(cd debian ; for i in *.pam ;\
		do install -m 644 $$i $(TMPPKG)/etc/pam.d/$${i%.pam} ;\
	done)

	# Install cyradm icons
	install -d -m 755 $(TMPPKG)/usr/share/icons/mini
	install -m 644 debian/cyradm-32x32.xpm $(TMPPKG)/usr/share/icons/cyradm.xpm
	install -m 644 debian/cyradm-16x16.xpm $(TMPPKG)/usr/share/icons/mini/cyradm.xpm

	# Install debian-provided scripts
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/bin/
	install debian/cyrus-makedirs $(TMPPKG)/usr/lib/cyrus/bin/makedirs
	install debian/cyrus-init-helper $(TMPPKG)/usr/lib/cyrus/bin/init-helper
	install -m 755 debian/cyrus-upgrade-db $(TMPPKG)/usr/lib/cyrus/bin/upgrade-db
	install -m 644 debian/get-backtrace.gdb $(TMPPKG)/usr/lib/cyrus/get-backtrace.gdb

	# and logcheck files
	install -d -m 755 $(TMPPKG)/etc/logcheck/ignore.d.server/ $(TMPPKG)/etc/logcheck/violations.ignore.d/
	install -m 644 debian/logcheck.ignore $(TMPPKG)/etc/logcheck/ignore.d.server/cyrus-imapd
	install -m 644 debian/logcheck.violations.ignore $(TMPPKG)/etc/logcheck/violations.ignore.d/cyrus-imapd

	# And other upgrade helpers
	install -m 644 debian/cyrus-db-types.txt debian/cyrus-hardwired-config.txt \
		   $(TMPPKG)/usr/lib/cyrus

	# Move all manpages under cyrus- namespace
	install -m 644 debian/cyrus-makedirs.8 debian/cyrus-arbitronsort.8 debian/cyrus-dump.8 \
		$(TMPPKG)/usr/share/man/man8/

	# Prefix all manpages for cyrus binaries to cyrus-$1
	for i in $(MAN1); do \
	  mv $(TMPPKG)/usr/share/man/man1/$$i.1 $(TMPPKG)/usr/share/man/man1/cyrus-$$i.1; \
	done

	for i in $(MAN8); do \
	  mv $(TMPPKG)/usr/share/man/man8/$$i.8 $(TMPPKG)/usr/share/man/man8/cyrus-$${i}.8 ; \
	done

	# SNMP files
	install -d -m 755 $(TMPPKG)/usr/share/snmp/mibs
	install -m 644 master/CYRUS-MASTER.mib $(TMPPKG)/usr/share/snmp/mibs/CYRUS-MASTER-MIB.txt

	# Install the stuff needed for upgrades
	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/upgrade
	for i in convert-sieve.pl dohash rehash undohash translatesieve upgradesieve masssievec; do \
	  install -m 755 tools/$$i $(TMPPKG)/usr/lib/cyrus/upgrade ;\
	done

	# And other misc useful tools
	install -m 755 tools/arbitronsort.pl $(TMPPKG)/usr/lib/cyrus/bin/arbitronsort

	# Install the html docs and examples
	install -d -m 755 $(DOCDIR)/html
	install -m 644 doc/*.html doc/murder.png $(DOCDIR)/html
	cp -a doc/man $(DOCDIR)/html
	cp -a debian/examples $(DOCDIR)
	install -m 644 doc/cyrusv2.mc $(DOCDIR)/examples
	#
	# Install contrib/ files
	install -d -m 755 $(DOCDIR)/contrib
	xargs < debian/cyrus-common.contrib -rti cp -r '{}' $(DOCDIR)/contrib

override_dh_installinit:
	dh_installinit -p cyrus-common --name=cyrus-imapd

override_dh_installchangelogs:
	dh_installchangelogs \
	  -p cyrus-common -p cyrus-doc -p cyrus-clients \
	  -p cyrus-admin -p libcyrus-imap-perl -p cyrus-imapd \

## cyrus-imapd 2.5.9

=== debian/changelog ===
cyrus-imapd (2.5.9-2build2) zesty; urgency=medium

  * Rebuild against new libxapian30.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Nov 2016 21:40:41 +0100

cyrus-imapd (2.5.9-2build1) zesty; urgency=medium

  * No-change rebuild for perl 5.24 transition

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 24 Oct 2016 10:07:30 +0100

cyrus-imapd (2.5.9-2) unstable; urgency=medium

  * Fix cvt_cyrusdb path to /usr/lib/cyrus/bin/cvt_cyrusdb (Closes: #832393)
  * Rename *.tmpfiles to *.tmpfile to get the cyrus-imapd file installed

 -- Ondřej Surý <ondrej@debian.org>  Mon, 25 Jul 2016 14:19:05 +0200

cyrus-imapd (2.5.9-1) unstable; urgency=medium

  * Add libpcre3-dev to Build-Depends
  * Imported Upstream version 2.5.9
  * The canonical path to pidfile is not /run/cyrus-master.pid
  * Rebase patches on top of 2.5.9 release
  * Fix upgrade errors from SEEN and TLS databases (Closes: #830706)
  * Migrate /var/run to /run and use tmpfiles.d instead of
    dpkg-statoverride to keep track of permissions on /run files

 -- Ondřej Surý <ondrej@debian.org>  Fri, 22 Jul 2016 09:32:33 +0200

## cyrus-imapd 3.2.6

=== docsrc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -n
SPHINXBUILD   = sphinx-build
PAPER         =
SOURCEDIR     = .
BUILDDIR      = build
PERL2RST      = ../tools/perl2rst

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# User-friendly check for perl2rst
ifeq ($(shell which $(PERL2RST) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(PERL2RST)' command was not found. Make sure you have perl2rst installed, then set the PERL2RST environment variable to point to the full path of the '$(PERL2RST)' script. It relies on Perl module Pod::POM::View::Restructured)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) $(SOURCEDIR)

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
    
init: ../lib/imapoptions ../perl/imap/IMAP/Shell.pm
	@echo "creating imap/reference/manpages/systemcommands/cyradm.rst"
	$(PERL2RST) cyradm < ../perl/imap/IMAP/Shell.pm > $(SOURCEDIR)/imap/reference/manpages/systemcommands/cyradm.rst
	@echo "creating imap/reference/manpages/usercommands/sieveshell.rst"
	$(PERL2RST) sieveshell < ../perl/sieve/scripts/sieveshell.pl > $(SOURCEDIR)/imap/reference/manpages/usercommands/sieveshell.rst
	@echo "creating imap/reference/manpages/configs/imapd.conf.rst"
	../tools/config2rst ../lib/imapoptions > $(SOURCEDIR)/imap/reference/manpages/configs/imapd.conf.rst

html: init
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml: init
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml: init
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle: init
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json: init
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp: init
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp: init
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/CyrusIMAP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/CyrusIMAP.qhc"

devhelp: init
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/CyrusIMAP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/CyrusIMAP"
	@echo "# devhelp"

epub: init
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja: init
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text: init
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man: init
	$(SPHINXBUILD) -b cyrman $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo: init
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info: init
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext: init
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes: init
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck: init
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest: init
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml: init
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml: init
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## cyrus-imapd 2.5.10

=== debian/changelog ===
cyrus-imapd (2.5.10-3ubuntu1.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Buffer overflow vulnerability
    - debian/patches/0019-CVE-2019-11356.patch: HTTP: don't overrun buffer
      when parsing strings with sscanf().
    - CVE-2019-11356
  * SECURITY UPDATE: Privilege escalation vulnerability
    - debian/patches/0020-CVE-2019-19783.patch: lmtp_sieve: don't create
      mailbox with admin for sieve autocreate.
    - CVE-2019-19783

 -- Paulo Flabiano Smorigo <pfsmorigo@canonical.com>  Tue, 29 Sep 2020 19:21:17 +0000

cyrus-imapd (2.5.10-3ubuntu1) bionic; urgency=medium

  * debian/patches/icaltimetype_is_utc_field_removal.patch: cherry-pick
    from upstream to account for the removal of icaltimetype.is_utc field.
    Closes: #883951.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Mar 2018 21:25:27 -0700

cyrus-imapd (2.5.10-3build3) bionic; urgency=medium

  * No-change rebuild for libical soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 09 Dec 2017 11:51:50 +0000

cyrus-imapd (2.5.10-3build2) bionic; urgency=medium

  * No-change rebuild against perlapi-5.26.1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 02 Nov 2017 05:32:12 +0000

cyrus-imapd (2.5.10-3build1) artful; urgency=medium

  * No-change rebuild for perl 5.26.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Jul 2017 20:02:07 +0000

cyrus-imapd (2.5.10-3) unstable; urgency=medium

  * Rely on default tls_ciphers and tls_versions configurations
    (Closes: #846082)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 07 Dec 2016 11:23:20 +0100

cyrus-imapd (2.5.10-2) unstable; urgency=medium

  * Replace 'struct sched_param' with 'struct caldav_sched_param'
    (Closes: #828276, #828275)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 06 Nov 2016 21:05:26 +0100

cyrus-imapd (2.5.10-1) unstable; urgency=medium

  * Update d/watch for 2.5.x branch
  * Imported Upstream version 2.5.10
  * Fix paths to ctl_mboxlist and chk_cyrus in cron script (Closes: #833452)
  * Rebase patches on top of 2.5.10 release

 -- Ondřej Surý <ondrej@debian.org>  Mon, 24 Oct 2016 17:27:38 +0200

=== debian/control ===
Source: cyrus-imapd
Section: mail
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
           Ondřej Surý <ondrej@debian.org>,
           Anthony Prades <toony.debian@chezouam.net>
Standards-Version: 3.9.6
Build-Depends: autotools-dev,
               bison,
               comerr-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dh-systemd,
               flex,
               ghostscript,
               groff,
               libdkim-dev,
	       libdb-dev,
               libical-dev (>= 2.0.0),
               libjansson-dev,
               libkrb5-dev,
               libkvm-dev [kfreebsd-any],
               libldap2-dev,
               libopendkim-dev,
               libpam0g-dev,
	       libpcre3-dev,
               libsasl2-dev (>= 2.1.9),
               libsnmp-dev,
               libsqlite3-dev,
               libssl-dev,
               libtool (>= 2.2~),
               libwrap0-dev,
               libxapian-dev,
               libxml2-dev,
               libzephyr-dev,
               perl,
               pkg-config,
               po-debconf,
               sqlite3,
               transfig,
               unicode-data,
               vim-common,
               xutils-dev
Vcs-Git: git://anonscm.debian.org/pkg-cyrus-imapd/cyrus-imapd.git
Vcs-Browser: http://anonscm.debian.org/?p=pkg-cyrus-imapd/cyrus-imapd.git
Homepage: http://www.cyrusimap.org/

Package: cyrus-common
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: adduser,
         db-upgrade-util,
         db-util,
         default-mta | mail-transport-agent,
         gawk,
         libsasl2-modules,
         netbase (>= 4.07),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: cyrus-imapd | cyrus-pop3d | cyrus-murder | cyrus-nntpd | cyrus-admin | cyrus-caldav
Suggests: apt-listchanges (>= 2.35),
          cyrus-admin,
          cyrus-caldav,
          cyrus-clients,
          cyrus-doc,
          cyrus-imapd,
          cyrus-murder,
          cyrus-nntpd,
          cyrus-pop3d,
          cyrus-replication,
          sasl2-bin
Replaces: cyrus-common-2.2,
          cyrus-common-2.4 (<< 2.4.17+caldav~beta10-2~)
Breaks: cyrus-common-2.2,
        cyrus-common-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - common files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 Cyrus doesn't support reading from and storing mail in the
 standard mail spool. It stores mail in a separate directory in its
 own MH-like format.
 .
 This package contains the common files needed by the other Cyrus
 components. The cyrus-imapd and/or cyrus-pop3d packages are needed
 to enable IMAP and POP3 support respectively. cyrus-murder can be
 used to enable IMAP, POP3 and LMTP proxying. cyrus-replication
 can be used to provide server replication between two imap servers.

Package: cyrus-doc
Architecture: all
Section: doc
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: ${misc:Depends}
Breaks: cyrus-doc-2.2,
        cyrus-doc-2.4 (<< 2.4.17+caldav~beta10-2~)
Replaces: cyrus-doc-2.2,
          cyrus-doc-2.4 (<< 2.4.17+caldav~beta10-2~)
Description: Cyrus mail system - documentation files
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the documentation for the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-imapd
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: imap-server
Conflicts: imap-server
Breaks: cyrus-imapd-2.4
Replaces: cyrus-imapd-2.4
Description: Cyrus mail system - IMAP support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the IMAP (Internet Mail Access Protocol) portion
 of the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-pop3d
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: pop3-server
Conflicts: pop3-server
Breaks: cyrus-pop3d-2.4
Replaces: cyrus-pop3d-2.4
Description: Cyrus mail system - POP3 support
 Cyrus is an IMAP server designed to handle massive quantities of mail,
 with a number of features not found in other IMAP implementations,
 including support for:
  - running the daemon without root privileges;
  - POP3 and NNTP in addition to plain IMAP;
  - CalDAV and CardDAV;
  - secure IMAP using SSL;
  - server-side filtering with Sieve;
  - mail users without login accounts;
  - simple mail quotas;
  - virtual domains;
  - IPv6.
 .
 This package contains the POP3 (Post Office Protocol) portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-admin
Architecture: all
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: libcyrus-imap-perl (>= ${binary:Version}),
         ${misc:Depends},
         ${perl:Depends}
Suggests: sasl2-bin
Breaks: cyrus-admin-2.4
Replaces: cyrus-admin-2.4
Description: Cyrus mail system - administration tools
 This package provides the administrative tools for the Cyrus IMAPd suite.
 It contains the cyradm tool which can be used to administer
 both local and remote Cyrus mail systems.  It also contains sieveshell
 and its deprecated cousin installsieve, which can be used to manage
 sieve scripts.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-murder
Section: mail
Architecture: any
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}),
         cyrus-pop3d (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cyrus-murder-2.4
Replaces: cyrus-murder-2.4
Description: Cyrus mail system - proxies and aggregator
 This package contains the Cyrus IMAPd suite murder aggregator system,
 i.e. IMAP, POP3  and LMTP proxies, and the mupdate mailbox master daemon.
 It allows for cluster setups where there are many backend Cyrus spools and
 frontend proxy servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-replication
Section: mail
Architecture: any
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         cyrus-imapd (= ${binary:Version}) | cyrus-pop3d (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: cyrus-replication-2.4
Replaces: cyrus-replication-2.4
Description: Cyrus mail system - replication
 This package contains the Cyrus IMAPd suite replication system.
 It allows the replication of the mail spool between two imap or pop servers.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-nntpd
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: news-transport-system
Conflicts: news-transport-system
Breaks: cyrus-nntpd-2.4
Replaces: cyrus-nntpd-2.4
Description: Cyrus mail system - NNTP support
 This package contains the NNTP (Network News Transfer Protocol) portion of
 the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-caldav
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: cyrus-caldav-2.4
Replaces: cyrus-caldav-2.4
Description: Cyrus mail system - CalDAV and CardDAV support
 This package contains the CalDAV and CardDAV portion of the Cyrus
 IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-clients
Architecture: any
Section: mail
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: cyrus-clients-2.4
Replaces: cyrus-clients-2.4
Description: Cyrus mail system - test clients
 This package contains client tools to test the Cyrus IMAPd suite.
 It contains the mupdatetest, sivtest, smtptest, lmtptest,
 imtest and pop3test tools which can be used to interactively talk to
 a mupdate, Sieve, SMTP, LMTP, IMAP or POP3 server.
 The clients are fully SASL-enabled for authentication.
 .
 For more information, please see the cyrus-common package.

Package: cyrus-dev
Architecture: any
Section: devel
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: cyrus-common (= ${binary:Version}),
         libcyrus-imap-perl (>= ${binary:Version}),
         libsasl2-dev (>= 2.1.9),
         ${misc:Depends}
Breaks: cyrus-dev-2.4
Replaces: cyrus-dev-2.4
Description: Cyrus mail system - developer files
 This package contains header files and the static library needed
 to develop IMAP applications that interface with the Cyrus IMAPd suite.
 .
 For more information, please see the cyrus-common package.

Package: libcyrus-imap-perl
Architecture: any
Pre-Depends: dpkg (>= 1.17.14~),
             ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Breaks: libcyrus-imap-perl22,
        libcyrus-imap-perl24 (<< 2.4.17+caldav~beta10-2~)
Replaces: libcyrus-imap-perl22,
          libcyrus-imap-perl24 (<< 2.4.17+caldav~beta10-2~)
Section: perl
Description: Interface to Cyrus imap client imclient library
 The Cyrus::IMAP module provides an interface to the Cyrus imclient
 library.  These are primarily useful for implementing cyradm operations
 within a Perl script; there are easier ways to implement general client
 operations, although they may be more limited in terms of authentication
 options when talking to a Cyrus imapd.
 .
 The modules that compose Cyrus::SIEVE are also included, but they are
 undocumented upstream.
 .
 For more information, please see the cyrus-common package.

=== debian/rules ===
--- 
+++ 
@@ -86,7 +86,7 @@
 	 --with-openssl \
 	 --with-zlib \
 	 --with-libcap \
-	 --with-pidfile=/var/run/cyrus-master.pid \
+	 --with-pidfile=/run/cyrus-master.pid \
 	 --with-com_err \
 	 --with-syslogfacility=MAIL \
 	 --with-gss_impl=mit \
@@ -159,7 +159,6 @@
 	# Install debian-provided scripts
 	install -d -m 755 $(TMPPKG)/usr/lib/cyrus/bin/
 	install debian/cyrus-makedirs $(TMPPKG)/usr/lib/cyrus/bin/makedirs
-	install debian/cyrus-init-helper $(TMPPKG)/usr/lib/cyrus/bin/init-helper
 	install -m 755 debian/cyrus-upgrade-db $(TMPPKG)/usr/lib/cyrus/bin/upgrade-db
 	install -m 644 debian/get-backtrace.gdb $(TMPPKG)/usr/lib/cyrus/get-backtrace.gdb
 
@@ -216,3 +215,6 @@
 	dh_installchangelogs \
 	  -p cyrus-common -p cyrus-doc -p cyrus-clients \
 	  -p cyrus-admin -p libcyrus-imap-perl -p cyrus-imapd \
+	  -p cyrus-pop3d -p cyrus-murder -p cyrus-replication \
+	  -p cyrus-nntpd -p cyrus-caldav -p cyrus-dev \
+	  doc/changes.html

## cyrus-imapd 2.5.11

=== debian/changelog ===
cyrus-imapd (2.5.11-1) unstable; urgency=medium

  [ Steve Langasek ]
  * Fix FTBFS with libical3 (Closes: #883951)

  [ Ondřej Surý ]
  * Add dependency on cyrus-common to debian-admin (Closes: #872247)
  * Cleanup d/control (Closes: #899477)
  * New upstream version 2.5.11 (Closes: #879007, #866124, #863520)
  * Rebase patches on top of Cyrus IMAP 2.5.11
  * com_err now needs --with-com_err="" to use system provided library

 -- Ondřej Surý <ondrej@debian.org>  Tue, 02 Oct 2018 08:08:10 +0000

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,9 @@
 Source: cyrus-imapd
 Section: mail
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cyrus Team <pkg-cyrus-imapd-debian-devel@lists.alioth.debian.org>
+Maintainer: Debian Cyrus Team <team+cyrus@tracker.debian.org>
 Uploaders: Henrique de Moraes Holschuh <hmh@debian.org>,
-           Ondřej Surý <ondrej@debian.org>,
-           Anthony Prades <toony.debian@chezouam.net>
+           Ondřej Surý <ondrej@debian.org>
 Standards-Version: 3.9.6
 Build-Depends: autotools-dev,
                bison,
@@ -16,8 +14,8 @@
                flex,
                ghostscript,
                groff,
+               libdb-dev,
                libdkim-dev,
-	       libdb-dev,
                libical-dev (>= 2.0.0),
                libjansson-dev,
                libkrb5-dev,
@@ -25,7 +23,7 @@
                libldap2-dev,
                libopendkim-dev,
                libpam0g-dev,
-	       libpcre3-dev,
+               libpcre3-dev,
                libsasl2-dev (>= 2.1.9),
                libsnmp-dev,
                libsqlite3-dev,
@@ -43,9 +41,9 @@
                unicode-data,
                vim-common,
                xutils-dev
-Vcs-Git: git://anonscm.debian.org/pkg-cyrus-imapd/cyrus-imapd.git
-Vcs-Browser: http://anonscm.debian.org/?p=pkg-cyrus-imapd/cyrus-imapd.git
-Homepage: http://www.cyrusimap.org/
+Vcs-Git: https://salsa.debian.org/debian/cyrus-imapd.git
+Vcs-Browser: https://salsa.debian.org/debian/cyrus-imapd
+Homepage: https://www.cyrusimap.org/
 
 Package: cyrus-common
 Architecture: any
@@ -197,7 +195,8 @@
 Section: mail
 Pre-Depends: dpkg (>= 1.17.14~),
              ${misc:Pre-Depends}
-Depends: libcyrus-imap-perl (>= ${binary:Version}),
+Depends: cyrus-common,
+         libcyrus-imap-perl (>= ${binary:Version}),
          ${misc:Depends},
          ${perl:Depends}
 Suggests: sasl2-bin

=== debian/rules ===
--- 
+++ 
@@ -87,7 +87,7 @@
 	 --with-zlib \
 	 --with-libcap \
 	 --with-pidfile=/run/cyrus-master.pid \
-	 --with-com_err \
+	 --with-com_err="" \
 	 --with-syslogfacility=MAIL \
 	 --with-gss_impl=mit \
 	 --with-sasl \
